Bug 1434749 - Review Request: si-units - International System of Units (JSR 363)
Summary: Review Request: si-units - International System of Units (JSR 363)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukas Berk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1434744 1434745 1434746
Blocks: 1429804
TreeView+ depends on / blocked
 
Reported: 2017-03-22 10:00 UTC by Nathan Scott
Modified: 2018-12-04 13:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-01 08:12:19 UTC
lberk: fedora-review+


Attachments (Terms of Use)

Description Nathan Scott 2017-03-22 10:00:50 UTC
Spec URL: https://bintray.com/pcp/f25/download_file?file_path=uom-systems.spec
SRPM URL: https://bintray.com/pcp/f25/download_file?file_path=uom-systems-0.6-2.fc25.src.rpm
Description: A library of SI quantities and unit types (JSR 363).
Fedora Account System Username: brolley, lberk, nathans

Comment 2 Jonny Heggheim 2017-06-28 07:31:10 UTC
Can you provide a koji build? I am getting this error when building from mock on rawhide:

ERROR: Command failed: 
 # /usr/bin/dnf builddep --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 27 /var/lib/mock/fedora-rawhide-x86_64/root//builddir/build/SRPMS/si-units-0.6.5-1.fc27.src.rpm --setopt=tsflags=nocontexts
No matching package to install: 'mvn(tec.uom:uom-parent:pom:)'
No matching package to install: 'mvn(tec.uom:uom-se:pom:)'

Comment 3 Nathan Scott 2017-06-28 09:11:38 UTC
Hi Johnny,

| Can you provide a koji build?

I don't believe so, as this package depends on other packages which are also not yet reviewed (uom-lib, uom-parent and uom-se)...

https://bugzilla.redhat.com/show_bug.cgi?id=1434744
https://bugzilla.redhat.com/show_bug.cgi?id=1434745
https://bugzilla.redhat.com/show_bug.cgi?id=1434746

Comment 4 Jonny Heggheim 2017-06-28 10:43:30 UTC
(In reply to Nathan Scott from comment #3)
> Hi Johnny,
> 
> | Can you provide a koji build?
> 
> I don't believe so, as this package depends on other packages which are also
> not yet reviewed (uom-lib, uom-parent and uom-se)...
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1434744
> https://bugzilla.redhat.com/show_bug.cgi?id=1434745
> https://bugzilla.redhat.com/show_bug.cgi?id=1434746

Yes, I noticed after I looked at some other packages to review. Adding tickets as depends to make it explisit.

Comment 5 Lukas Berk 2017-08-14 02:04:30 UTC
Updated SRPM/Spec file after taking fedora-review feedback under consideration:

SPEC: https://bintray.com/pcp/f26/download_file?file_path=si-units.spec
SRPM: https://bintray.com/pcp/f26/download_file?file_path=si-units-0.6.5-2.fc26.src.rpm

Comment 6 Lukas Berk 2017-08-14 02:06:43 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 23 files have unknown
     license. Detailed output of licensecheck in /home/lberk/src/fedora-
     scm/review/review-si-units/licensecheck.txt
Manually verified these files.  Several properly list the license, which fedora-review didn't pick up.  Others reference the top level LICENSE file (bsd3), upstream has already changed this to explicitly list all bsd3 in the headers for the next release.

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in si-
     units-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: si-units-0.6.5-2.fc27.noarch.rpm
          si-units-javadoc-0.6.5-2.fc27.noarch.rpm
          si-units-0.6.5-2.fc27.src.rpm
si-units.src:38: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 38)
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
si-units (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(javax.measure:unit-api)
    mvn(tec.uom:uom-se)

si-units-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
si-units:
    mvn(si.uom:si-parent:pom:)
    mvn(si.uom:si-quantity)
    mvn(si.uom:si-quantity:pom:)
    mvn(si.uom:si-units-java8)
    mvn(si.uom:si-units-java8:pom:)
    osgi(si.uom.si-quantity)
    osgi(si.uom.si-units-java8)
    si-units

si-units-javadoc:
    si-units-javadoc



Source checksums
----------------
https://github.com/unitsofmeasurement/si-units/archive/0.6.5/si-units-0.6.5.tar.gz :
  CHECKSUM(SHA256) this package     : f6340fb9873b2c5cd0cfa5f901ff2c4a43ac42f617561734671553ecf09c6ca2
  CHECKSUM(SHA256) upstream package : f6340fb9873b2c5cd0cfa5f901ff2c4a43ac42f617561734671553ecf09c6ca2


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -v -n si-units
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Gwyn Ciesla 2017-08-14 12:07:33 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/si-units

Comment 8 Gwyn Ciesla 2017-08-14 12:08:28 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/si-units


Note You need to log in before you can comment on or make changes to this bug.